%define libversion 0.4

Name:           libinfinity
Version:        0.4.1
Release:        1%{?dist}
Summary:        Library implementing the infinote protocol

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://gobby.0x539.de/trac/wiki/Infinote/Libinfinity
Source0:        http://releases.0x539.de/libinfinity/libinfinity-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  avahi-devel
BuildRequires:  glib2-devel
BuildRequires:  gnutls-devel
BuildRequires:  libxml2-devel
BuildRequires:  libgsasl-devel
BuildRequires:  gtk-doc
BuildRequires:  chrpath
BuildRequires:  gettext
BuildRequires:  gtk2-devel

%description
Libinfinity is used in the collaborative editing tool Kobby.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       avahi-devel
Requires:       glib2-devel
Requires:       gnutls-devel
Requires:       libxml2-devel
Requires:       libgsasl-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        gtk
Summary:        GTK widgets for libinfinity
Group:          System Environment/Libraries

%description    gtk
Widgets and dialogs for libinfinity in GTK2.


%package        gtk-devel
Summary:        Development files for %{name}-gtk
Group:          Development/Libraries
Requires:       %{name}-gtk = %{version}-%{release}
Requires:       pkgconfig
Requires:       libinfinity-devel
Requires:       gtk2-devel

%description    gtk-devel
The %{name}-gtk-devel package contains libraries and header files for
developing applications that use %{name}-gtk.


%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
Documentation for the %{name} libraries.


%package -n     infinoted
Summary:        Server for the infinote protocol
Group:          System Environment/Daemons

%description -n infinoted
Server daemon for the infinote protocol.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}-%{libversion}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
chrpath -d %{buildroot}%{_bindir}/infinoted-%{libversion}
chrpath -d %{buildroot}%{_libdir}/infinoted-%{libversion}/note-plugins/libinfd-note-plugin-text.so
chrpath -d %{buildroot}%{_libdir}/libinftext-%{libversion}.so.0.0.0
chrpath -d %{buildroot}%{_libdir}/libinfgtk-%{libversion}.so.0.0.0
chrpath -d %{buildroot}%{_libdir}/libinftextgtk-%{libversion}.so.0.0.0


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%post gtk -p /sbin/ldconfig


%postun -p /sbin/ldconfig

%postun gtk -p /sbin/ldconfig


%files -f %{name}-%{libversion}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_libdir}/libinfinity-%{libversion}.so.0
%{_libdir}/libinfinity-%{libversion}.so.0.0.0
%{_libdir}/libinftext-%{libversion}.so.0
%{_libdir}/libinftext-%{libversion}.so.0.0.0
%{_datadir}/icons/hicolor/*/apps/infinote.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libinfinity-%{libversion}/
%{_includedir}/libinftext-%{libversion}/
%{_libdir}/libinfinity-%{libversion}.so
%{_libdir}/libinftext-%{libversion}.so
%{_libdir}/pkgconfig/libinfinity-%{libversion}.pc
%{_libdir}/pkgconfig/libinftext-%{libversion}.pc

%files gtk
%defattr(-,root,root,-)
%{_libdir}/libinfgtk-%{libversion}.so.0
%{_libdir}/libinfgtk-%{libversion}.so.0.0.0
%{_libdir}/libinftextgtk-%{libversion}.so.0
%{_libdir}/libinftextgtk-%{libversion}.so.0.0.0

%files gtk-devel
%defattr(-,root,root,-)
%{_includedir}/libinfgtk-%{libversion}/
%{_includedir}/libinftextgtk-%{libversion}/
%{_libdir}/libinfgtk-%{libversion}.so
%{_libdir}/libinftextgtk-%{libversion}.so
%{_libdir}/pkgconfig/libinfgtk-%{libversion}.pc
%{_libdir}/pkgconfig/libinftextgtk-%{libversion}.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/libinfgtk-%{libversion}/
%{_datadir}/gtk-doc/html/libinfinity-%{libversion}/
%{_datadir}/gtk-doc/html/libinftext-%{libversion}/
%{_datadir}/gtk-doc/html/libinftextgtk-%{libversion}/

%files -n infinoted
%defattr(-,root,root,-)
%{_bindir}/infinoted-%{libversion}
%{_libdir}/infinoted-%{libversion}/note-plugins/libinfd-note-plugin-text.so


%changelog
* Thu May 20 2010 Ben Boeckel <MathStuf@gmail.com> - 0.4.1-1
- Update to 0.4.1
- %%define the libversion suffix

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 21 2009 Ben Boeckel <MathStuf@gmail.com> 0.3.0-2
- Build everything (added gettext, avahi-devel, and gtk2-devel)
- Add gtk sub-packages

* Sat Jun 20 2009 Ben Boeckel <MathStuf@gmail.com> 0.3.0-1
- Initial package
